Finder = {}
Selecteur_Finder = 1
PosX_Selecteur = 90
PosY_Selecteur = 60
Image_Viewer_MACXT = 0
Jouer_Musique = 0
function Finder:Run_Finder()
   if Jouer_Musique == 1 then
      MACXT_Texte_Window[1] = {Caption = "Nom : "..fichiers[Selecteur_Finder].name}
      MACXT_Texte_Window[2] = {Caption = "Titre : "..Titre_Music}
      MACXT_Texte_Window[3] = {Caption = "Artiste : "..Artiste_Music}
      MACXT_Texte_Window[4] = {Caption = "Album : "..Album_Music}
      MACXT_Texte_Window[5] = {Caption = "Genre : "..Genre_Music}
      MACXT_Texte_Window[6] = {Caption = "Annee : "..Annee_Music}
      MACXT_Repertoire:Actualise_Texte_Window()
      Affichage_Images = "Horizontal_Screen"
      MACXT_Images_Window[1] = {Images = Logo_Itunes_MACXT_Big}
      MACXT_Repertoire:Actualise_Images()
      Affichage_Button = "Horizontal_Drawing"
      MACXT_Draw_Button[1] = {Caption = "Fermer",Action = "Fermer_Fenetre_Player"}
      MACXT_Repertoire:Actualise_Draw_Button()
      if Afficher_Personnal_Window == 0 or Action_Button == "Fermer_Fenetre_Player" then
         Afficher_Personnal_Window = 0
         Jouer_Musique = 0
         Mp3me.stop()
         Annee_Music = nil
         Titre_Music = nil
         Artiste_Music = nil
         Album_Music = nil
         Genre_Music = nil
         MACXT_Repertoire:Reinitialiser_Window()
         MACXT_Repertoire:Anti_Bug()
      end
   end
   if x > 60 and x < 480 and y > MACXT_Barre1:height() + 30 and y <= MACXT_Barre1:height() + 240 and Viewer_Image ~= 1 and Afficher_Personnal_Window ~= 1 and Other_Process ~= 1 then
      if MACXTKeyPad:r() then
         if (ligne)*4*4 < n_fichiers then
            screen.waitVblankStart(10)
            ligne = ligne + 1
            Selecteur_Finder = Selecteur_Finder + 1
         end
      end
      if MACXTKeyPad:l() and ligne > 1 then
         screen.waitVblankStart(10)
         ligne = ligne - 1
         Selecteur_Finder = Selecteur_Finder - 1
      end
      if MACXTKeyPad:cross() then
         screen.waitVblankStart(10)
         MACXT_Finder:Entrer_Dossier()
      end
      if MACXTKeyPad:square() then
         longueur_Selecteur_Player = string.len(fichiers[Selecteur_Finder].name)
         Nom_Extension_Fichier_Player = string.sub(fichiers[Selecteur_Finder].name,longueur_Selecteur_Player - 3)
         if Nom_Extension_Fichier_Player == ".mp3" or Nom_Extension_Fichier_Player == ".MP3" then
            Mp3me.load(fichiers[Selecteur_Finder].name)
            Mp3me.play()
            Annee_Music = Mp3me.year()
            Titre_Music = Mp3me.title()
            Artiste_Music = Mp3me.artist()
            Album_Music = Mp3me.album()
            Genre_Music = Mp3me.genre()
            MACXT_Title = fichiers[Selecteur_Finder].name
            Window_Longueur = string.len(MACXT_Title)*9 + 70
            Window_Hauteur = 185
            MACXT_Graphic:Init_New_Personnal_Window()
            MACXT_Repertoire:Reinitialiser_Window()
            Jouer_Musique = 1
         end
         MACXT_Repertoire:Anti_Bug()
      end
      if x > PosX_Selecteur and Selecteur_Finder < n_fichiers then
         Selecteur_Finder = Selecteur_Finder + 1
         PosX_Selecteur = PosX_Selecteur + tailleiconex*2
      end
      if x < PosX_Selecteur and Selecteur_Finder > 1 then
         Selecteur_Finder = Selecteur_Finder - 1
         PosX_Selecteur = PosX_Selecteur - tailleiconex*2
      end
      if y > PosY_Selecteur and Selecteur_Finder < n_fichiers then
         Selecteur_Finder = Selecteur_Finder + 4
         PosY_Selecteur = PosY_Selecteur + tailleiconey + 15
      end
      if y < PosY_Selecteur and Selecteur_Finder > 1 then
         Selecteur_Finder = Selecteur_Finder - 4
         PosY_Selecteur = PosY_Selecteur - tailleiconey - 15
      end
      if Selecteur_Finder > n_fichiers then
         Selecteur_Finder = n_fichiers
      end
      if Selecteur_Finder < 1 then
         Selecteur_Finder = 1
      end
   end
end
